//
//	GSMacOSXFramework.h
//	 2001 Kyle Hammond
//	kyle@codeblazer.com
//	Use at your own risk.  All rights reserved.  Do not distribute without permission.
//
#if !defined( __GSMacOSXFramework_h_ )
#define __GSMacOSXFramework_h_

#include <CFBundle.h>

// This is the base class for classes that call in to MacOS X frameworks from Carbon code.

class GSMacOSXFramework {
public:
	// inFrameworkName should be of the form "System" for the System.framework
	explicit GSMacOSXFramework( const char *inFrameworkName );

	virtual ~GSMacOSXFramework( );

protected:
	CFBundleRef	mFrameworkBundle;

private:
	// Can't use default or copy constructors.
	GSMacOSXFramework( );
	GSMacOSXFramework( const GSMacOSXFramework & );
};
#endif